using EVCB_OCPP.Packet.Features;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.Core
{
    public class RemoteStopTransactionRequest : IRequest
    {

        public RemoteStopTransactionRequest()
        {
            Action = Actions.RemoteStopTransaction.ToString();
        }

        [JsonIgnore]
        public string Action { set; get; }


        /// <summary>
        /// 交易Id
        /// </summary>
        [Required]
        public int transactionId { set; get; }

        public bool TransactionRelated()
        {
            return false;
        }

        public bool Validate()
        {
            return Validator.TryValidateObject(this, new ValidationContext(this), null, true);
        }
    }
}
